/*
 *
 * happytimer - Alarm clock for the GNOME notification area
 *
 *  @Copyright (C) 2007-2011 JinCheol Kim (shriekout@gmail.com).
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include <gtk/gtk.h>

struct struct_t {
	int hrs;
	int mins;
	int secs;
};

enum {
	EDIT,
	PRESET_ADD,
	PRESET_DELETE,
	PRESET_EDIT
};

void play_sound(int what, char *fn);
gboolean timeCheck(gpointer data);
gchar *return_format_date(time_t t);
struct struct_t *return_struct_date(time_t t);
void save_preferences(char *name, char *attr_name, char *attr_value, char *value, char *old_attr_value, char *old_value, int what);
